@use '~@angular/material' as mat;

@mixin rr-register-theme($theme) {
  $foreground: map-get($theme, foreground);
  $background: map-get($theme, background);
  $accent: map-get($theme, accent);
  $warn: map-get($theme, warn);
  $isDark: map-get($theme, is-dark);

  .rr-register {

    .inner {
      background-color: mat.get-color-from-palette($background, background);

      @if $isDark {

        .mat-form-field-prefix, .mat-form-field-suffix {
          color: mat.get-color-from-palette($foreground, hint-text);
        }

      }


    }

  }

  .mat-snack-bar-container.error {
    background-color: mat.get-color-from-palette($warn);
    color: mat.get-color-from-palette($foreground, base);
  }

}

@mixin rr-register-typography($config) {
  .rr-register {
  }
}
